# Imported for Conda from Fedora

Name:           expected
Version:        1.1.0
Release:        1%{?dist}
License:        CC0-1.0
Group:          System/Libraries
Summary:        C++11/14/17 std::expected with functional-style extensions
URL:            https://github.com/TartanLlama/%{name}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

# https://github.com/TartanLlama/expected/pull/142
Patch100: expected-1.1.0-version-fix.patch
%if 0%{?mageia} >9
BuildRequires:	ninja-build
%else
BuildRequires: ninja
%endif
BuildRequires: gcc-c++
BuildRequires: cmake
BuildRequires: gcc

%description
Header-only %{summary}.

%package devel
Summary: Development files for %{name}
Provides: %{name}-static = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
Header-only %{summary}.

std::expected is proposed as the preferred way to represent object
which will either have an expected value, or an unexpected value
giving information about why something failed.

%prep
%autosetup -p1

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DEXPECTED_BUILD_TESTS=OFF \
    -DEXPECTED_BUILD_PACKAGE=OFF
%cmake_build

%install
%cmake_install

%files devel
%doc README.md
%license COPYING
%{_includedir}/tl
%{_datadir}/cmake/tl-%{name}
